Bug 2506 - [UPDATE REQUEST] [UPSTREAM UPDATE] openswan
: [UPDATE REQUEST] [UPSTREAM UPDATE] openswan
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 23:14 MSD by Andrew Lukoshko
Modified: 2013-10-23 13:35 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-18 23:14:30 MSD
Advisory:
The openswan package for Internet Protocol Security (IPsec) contains two
diagnostic commands, "ipsec barf" and "ipsec look", that can cause the iptables
kernel modules for NAT and IP connection tracking to be loaded. On very busy
systems, loading such kernel modules can result in severely degraded performance
or lead to a crash when the kernel runs out of resources. With this update, the
diagnostic commands do not cause loading of the NAT and IP connection tracking
modules. This update does not affect systems that already use IP connection
tracking or NAT as the iptables and ip6tables services will already have loaded
these kernel modules

http://rhn.redhat.com/errata/RHBA-2013-1161.html

Buildlists:
https://abf.rosalinux.ru/build_lists/1217259
https://abf.rosalinux.ru/build_lists/1217260
Comment 1 Vladimir Potapov 2013-08-20 10:43:52 MSD
openswan-2.6.32-20.res6
********************* RHEL Advisory ***************
The openswan package for Internet Protocol Security (IPsec) contains two
diagnostic commands, "ipsec barf" and "ipsec look", that can cause the iptables
kernel modules for NAT and IP connection tracking to be loaded. On very busy
systems, loading such kernel modules can result in severely degraded performance
or lead to a crash when the kernel runs out of resources. With this update, the
diagnostic commands do not cause loading of the NAT and IP connection tracking
modules. This update does not affect systems that already use IP connection
tracking or NAT as the iptables and ip6tables services will already have loaded
these kernel modules
*****************************************************
QA Verified